Bug 75803 - Some Perl-related ports lack RUN_DEPENDS in Makefile
Summary: Some Perl-related ports lack RUN_DEPENDS in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-04 15:50 UTC by ITO
Modified: 2005-01-09 21:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ITO freebsd_committer 2005-01-04 15:50:26 UTC
Some Perl-related ports (such as p5-Crypt-DSA and p5-Crypt-Random) lacks RUN_DEPENDS in Makefile.
Therefore the resulting packages do not have @pkgdep lines in +CONTENTS file.
You can install these packages successfully even if other packages on which they depend are not installed.
However you will fail to utilize the packages.

Fix: 

Workaround:
Install necessary packages by hand.

Fix:
Add the following line to Makefile in applicable ports:
RUN_DEPENDS= $(BUILD_DEPENDS)
How-To-Repeat: $ pkg_add p5-Crypt-DSA-0.12.tbz
$ perl -e "use Crypt::DSA;"
Can't locate Crypt/Random.pm in @INC ...

(if you have not installed p5-Crypt-Random, on which p5-Crypt-DSA depends)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-01-07 16:01:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mharo

Over to maintainer of security/p5-Crypt-DSA.
Comment 2 Michael Haro freebsd_committer 2005-01-09 21:25:35 UTC
State Changed
From-To: open->closed

committed, thanks